#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    long long N,d;
    int jedan=0,b = 1,dva=0,tri=0;
    vector<int> vc;
    vector<int> vv;
    cin >> N;
    for(int i = 0; i < N;i++){
        cin >> d;
        vc.push_back(d);
    }
    for(int i = 0; i < vc.size(); i++){

        if(abs(vc[i]) > abs(vc[i+1]) && b % 2 != 0){
            vv.push_back(1);
            b++;
        }
        else if(abs(vc[i]) < abs(vc[i+1]) && b % 2 != 0){
            vv.push_back(2);
            b++;
        }
        else if(abs(vc[i]) < abs(vc[i+1]) && b % 2 == 0){
                vv.push_back(3);
                b++;
                }



}
for(int i = 0 ; i < vv.size(); i++){
    cout << vv[i] << " ";
}
}